eoRndGenerator(3)

NAME
eoRndGenerator - By popular demand re-introducing a base class for a family of random number generators.

SYNOPSIS

#include <eoRndGenerators.h>

Inherits eoF< T >.

Inherited by eoNegExpGenerator< T >, eoNormalGenerator< T >, and eoUniformGenerator< T >.

  Private Types
typedef T AtomType

Detailed Description

  template<class T> class eoRndGenerator< T >
By popular demand re-introducing a base class for a family of random number generators. Derived members of this class are useful to initialize fixed/variable length genotypes that have an 'atomic' type in an indepent way (thus without employing any knowledge about the problem domain).

See derived classes eoUniformGenerator, eoBooleanGenerator, eoNormalGenerator and eoNegExpGenerator

Definition at line 47 of file eoRndGenerators.h.

Author

Generated automatically by Doxygen for EO from the source code.